libevent (2.1.12-stable-1build2) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 24 Nov 2021 13:52:49 +0000

libevent (2.1.12-stable-1build1) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:15:13 +0200

libevent (2.1.12-stable-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Use canonical URL in Vcs-Browser, Vcs-Git.

  [ Balint Reczey ]
  * New upstream version 2.1.12-stable
  * Update symbols files
  * Avoid undefined symbols (Closes: #948476)
  * debian/watch: Use HTTPS

 -- Balint Reczey <rbalint@ubuntu.com>  Sat, 11 Jul 2020 16:20:07 +0200

libevent (2.1.11-stable-1) unstable; urgency=medium

  [ Balint Reczey ]
  * Downgrade priority of libevent-2.1-7 to optional (Closes: #940307)

  [ Davor Ocelic ]
  * debian/*.symbols: Allow building with musl (Closes: #941865)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 12 Nov 2019 12:18:47 +0100

libevent (2.1.11-stable-1~exp0) experimental; urgency=medium

  * Add Salsa CI config
  * Move packaging to Salsa
  * Replace Anibal Monsalve Salazar as Maintainer.
    Thank you Anibal for taking care of libevent in the past! (Closes: #925085)
  * New upstream version 2.1.11-stable
  * Drop patch integrated upstream
  * Bump SO versions and rename library packages
  * Update symbols files
  * Bump compat level to 12 and drop autotools-dev build-dependency
  * debian/copyright: Update and make it machine-readable
  * Override possible-gpl-code-linked-with-openssl Lintian warning

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 20 Aug 2019 22:46:07 +0200

libevent (2.1.8-stable-4) unstable; urgency=medium

  * Don't link all libraries with -lcrypto (Closes: #869900)

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 31 Jul 2017 18:13:49 +0200

libevent (2.1.8-stable-3) unstable; urgency=medium

  * Upload to unstable

 -- Balint Reczey <rbalint@ubuntu.com>  Sun, 30 Jul 2017 08:08:13 +0200

libevent (2.1.8-stable-2) experimental; urgency=medium

  * Use my @ubuntu.com email address in Uploaders field
  * Fix symbols files for hurd-* and kfreebsd-* architectures

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 24 Jul 2017 17:49:43 +0200

libevent (2.1.8-stable-1) experimental; urgency=low

  * New upstream stable release (Closes: #853799, #833212)
  * Drop patches integrated upstream
  * Bump .so versions and related versions in package names
  * Don't pass --no-undefined and --no-add-needed to ld
  * Bump compat level to 10
  * Tidy up d/control using cme fix dpkg-control
  * Drop libevent-dbg package in favor of automatically generated dbgsym
    packages
  * Bump standards version to 3.9.8.
    Migrating to using symbols files is recorded in TODO
  * Drop dh-autoreconf patch which does not apply anymore
  * Update shared library versions and start using symbols files
  * Ship whatsnew-2.1.txt

 -- Balint Reczey <balint@balintreczey.hu>  Mon, 13 Feb 2017 12:48:24 +0100

libevent (2.0.21-stable-3) unstable; urgency=medium

  * Fix three vulnerabilites (Closes: #854092):
    - DNS remote stack overread vulnerability (CVE-2016-10195)
    - (Stack) buffer overflow in evutil_parse_sockaddr_port()
      (CVE-2016-10196)
    - Out-of-bounds read in search_make_new() (CVE-2016-10197)
  * Add myself as an uploader
  * ACK NMU

 -- Balint Reczey <balint@balintreczey.hu>  Sun, 12 Feb 2017 21:43:18 +0100

libevent (2.0.21-stable-2.1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Non-maintainer upload.

  [ Kurt Roeckx ]
  * Add openssl_1.1.patch. Closes: #828393

 -- Helmut Grohne <helmut@subdivi.de>  Thu, 03 Nov 2016 08:43:46 +0100

libevent (2.0.21-stable-2) unstable; urgency=high

  * Fix CVE-2014-6272: potential heap overflow in buffer/bufferevent APIs.
    Add upstream patch: 20d6d445.patch.
    Closes: #774645.
  * Don't use deprecated compression for data tarball.
    Use default compression for data tarball.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 07 Jan 2015 11:33:15 +0000

libevent (2.0.21-stable-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update config.* to fix FTBFS on ppc64el. Closes: #750693

 -- Andreas Barth <aba@ayous.org>  Mon, 25 Aug 2014 16:03:50 +0000

libevent (2.0.21-stable-1) unstable; urgency=low

  * [dd23c3ce] Imported Upstream version 2.0.21-stable
    - fix memleaks in evdns (closes: 679217)
  * [bbc5530e] debian/control: use canonical VCS URL

 -- Leo Costela <costela@debian.org>  Sun, 19 May 2013 00:40:30 +0200

libevent (2.0.19-stable-3) unstable; urgency=low

  * [ceb52d98] DH compatibility level is 9
  * [7792ab18] Support multiarch (Closes: #675320)

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 02 Jun 2012 13:27:56 +1000

libevent (2.0.19-stable-2) unstable; urgency=low

  * [cbdbe5b8] add hardening build-flags (Closes: 673707)
  * [b5f4e321] change default compression to xz

 -- Leo Costela <costela@debian.org>  Mon, 21 May 2012 00:16:59 +0200

libevent (2.0.19-stable-1) unstable; urgency=low

  * [21c5f34e] Imported Upstream version 2.0.19-stable
  * [aad0456e] debian/watch: only check stable versions
  * [09bb9c1d] debian/control: bump policy to 3.9.3 (no changes)

 -- Leo Costela <costela@debian.org>  Mon, 07 May 2012 15:54:12 +0200

libevent (2.0.18-stable-1) unstable; urgency=low

  * [d094fba3] Imported Upstream version 2.0.18-stable
  * [6717e7ac] correct vcs-browse link

 -- Leo Costela <costela@debian.org>  Fri, 30 Mar 2012 16:24:30 +0200

libevent (2.0.17-stable-1) unstable; urgency=low

  * [98fed68d] Imported Upstream version 2.0.17-stable
  * [82af6f34] update homepage to libevent.org
  * [becd7e37] re-adding multiarch to TODO
  * [8b2c71ac] shlibs: correct minimal version for current API (2.0.10)

 -- Leo Costela <costela@debian.org>  Mon, 13 Feb 2012 23:32:24 +0100

libevent (2.0.16-stable-1) unstable; urgency=low

  * New upstream version 2.0.16-stable
  * Uploading to unstable, see http://bugs.debian.org/631018

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 28 Nov 2011 15:39:09 +1100

libevent (2.0.13-stable-1) experimental; urgency=low

  * New upstream version 2.0.13-stable
  * Pass "-Zbzip2 -z9" to dpkg-deb

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 28 Aug 2011 14:46:57 +1000

libevent (1.4.14b-stable-1) unstable; urgency=low

  * New upstream version 1.4.14b-stable
  * Source format is 3.0 (quilt)
  * Standards-Version is 3.9.2
  * Pass parameters -Zbzip2 and -z9 to dpkg-deb via dh_builddeb
  * Fix debhelper-but-no-misc-depends
  * Fix debian-rules-missing-recommended-target
  * Fix description-synopsis-starts-with-article

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 28 Aug 2011 12:49:20 +1000

libevent (2.0.12-stable-1) experimental; urgency=low

  * [9be9bdb9] new upstream version 2.0.12-stable
  * [7a119447] add myself to uploaders (with permission from Anibal)
  * [5941f8df] add VCS- fields to debian/control
  * [3a410d4c] use dh 8 short style; remove unneeded build-dep on libtool
  * [5217845e] bump compat to 8
  * [3237604b] remove old README.source
  * [0cc15d5b] remove README.Debian; install whatsnew-2.0.txt to docs instead
  * [281c8d2e] source/options: don't set compression level (9 is the default
               anyway)
  * [08517840] clean up debian/watch
  * [18d75ca4] remove unneeded debian/*.dirs
  * [1967343a] add TODO about cleaning up debian/copyright
  * [c567b3fd] install pkgconfig file with more generic glob (*.pc, instead of
               libevent*.pc)
  * [3b6f7cb9] add ".pc" to .gitignore for quilt
  * [73325895] bump policy to 3.9.2 (no changes)
  * [2fe9450d] adding libevent-dbg package
  * [7d85b523] rename all *.files to *.install
  * [169fffc7] disable regression tests while building
  * [611912d3] add shlibs files for all lib packages
  * [6dec46d3] some copy-editing in debian/control
  * [4733768d] add patch to always build with -no-undefined
  * [f2916660] build with -Wl,--as-needed,-z,defs,--no-add-needed
  * [b8fc89d7] debian/control: remove redundant sections and priorities
  * [ebd9fa80] changelog entry for 2.0.12-stable-1

 -- Leo Costela <costela@debian.org>  Fri, 17 Jun 2011 16:01:41 +0200

libevent (2.0.10-stable-1) experimental; urgency=low

  * New upstream release
    Closes: 581221, 607984
  * Install libevent*.pc into /usr/lib/pkgconfig
    Closes: 569274
  * The man pages event.3 and evdns.3 are not shipped anymore.
  * Fix out-of-date-standards-version
  * Source format is 3.0 (quilt)
  * Pass parameters -Zbzip2 and -z9 to dpkg-deb via dh_builddeb

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 16 Jan 2011 18:19:25 +1100

libevent (2.0.3-alpha-1) experimental; urgency=low

  * New upstream release

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 21 Nov 2009 23:35:53 +1100

libevent (1.4.13-stable-1) unstable; urgency=low

  * New upstream release
    Delete 01-494709-GNU-kFreeBSD.patch (merged)

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 21 Nov 2009 22:50:03 +1100

libevent (2.0.2-alpha-1) experimental; urgency=low

  * New upstream release

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 21 Aug 2009 11:23:04 +1000

libevent (1.4.12-stable-1) unstable; urgency=low

  * New upstream release
  * Fix out-of-date-standards-version
  * Fix patch-system-but-no-source-readme

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 21 Aug 2009 11:09:13 +1000

libevent (2.0.1-alpha-1) experimental; urgency=low

  * New upstream release

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 23 May 2009 12:29:16 +1000

libevent (1.4.11-stable-1) unstable; urgency=low

  * New upstream release
    - Fix a bug when removing a timeout from the heap
    - Remove the limit on size of HTTP headers by removing static buffers
    - Fix a nasty dangling pointer bug in epoll.c that could occur after
      epoll_recalc()

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 15 May 2009 20:11:06 +1000

libevent (1.4.9-stable-1) unstable; urgency=low

  * New upstream release
  * Standards version is 3.8.1
  * DH_COMPAT is 7
  * Run dh_prep instead of dh_clen -k
  * Don't conflict with libevent1; closes: #513325
  * Ship the evdns manpage; closes: #448273
  * Fix long description; closes: #509062
  * Build depends on quilt
  * Thanks Petr Salinger for 01-494709-GNU-kFreeBSD.patch; closes: #494709

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 03 Apr 2009 16:25:00 +1100

libevent (1.4.8~stable-1) experimental; urgency=low

  * New upstream release; closes: #483671
  * Update README.Debian with the "What's New in Libevent 1.4" document.
  * Standards-Version is 3.8.0

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 05 Oct 2008 17:42:00 +1100

libevent (1.3e-3) unstable; urgency=low

  * Don't ship libevent.la. Closes: #473345

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 26 Apr 2008 20:34:51 +1000

libevent (1.3e-2) unstable; urgency=low

  * ACKed NMUs. Closes: #442626
  * Added debian/watch
  * Fixed the following lintian messages:
    - libevent source: out-of-date-standards-version 3.7.2 (current is 3.7.3)
    - libevent1: description-contains-homepage
    - libevent-dev: description-contains-homepage

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 05 Apr 2008 21:06:10 +1000

libevent (1.3e-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Argh, my patch needs python installed. It's better to not remove the files
    than re-creating them, anyway.

 -- Michael Meskes <meskes@debian.org>  Fri, 04 Apr 2008 21:45:25 +0200

libevent (1.3e-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Re-create regress.gen.* during build so package is buildable twice in a
    row, closes: #442626

 -- Michael Meskes <meskes@debian.org>  Fri, 04 Apr 2008 21:00:36 +0200

libevent (1.3e-1) unstable; urgency=low

  * New upstream release
  * Removed patches for compat/sys/_time.h and install-sh.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 03 Nov 2007 22:53:19 +1100

libevent (1.3d-1) unstable; urgency=low

  * New upstream release, closes: #436475

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 18 Sep 2007 19:04:29 +1000

libevent (1.3b-0) unstable; urgency=high

  * Acknowledge old NMU, closes: #284282.
  * New upstream release, closes: #401856.
    - Fixed "Versions previous to 1.3b has memory leaks", closes: #428065.
    - Fixed CVE-2007-1030 (remote DoS), closes: #411996.
  * Fixed the following lintian messages:
    - W: libevent source: debian-rules-ignores-make-clean-error line 55
    - W: libevent source: substvar-source-version-is-deprecated libevent-dev

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 08 Jul 2007 15:34:07 +1000

libevent (1.1a-2) unstable; urgency=low

  * New maintainer.
  * Standards-Version: 3.7.2.
  * debhelper (>= 5).
  * libevent1: Override says libs - standard
  * Added homepage to descriptions.
  * Added autotools-dev as a build-dependency and removed
    config.{guess,sub} from the .diff.gz file.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 08 Jan 2007 10:54:24 +1100

libevent (1.1a-1) unstable; urgency=low

  * New upstream release.
  * Acknowledge NMUs.  (Closes: Bug#288282, Bug#288404, Bug#290385, Bug#291096)
  * Update README.Debian.  (Closes: Bug#310634)
  * libevent.so uses a different library naming scheme now.  We will
    preserve backwards compatiblity with Debian's, but also provide symlinks
    for the official libevent-1.1a.so name.

 -- Simon Law <sfllaw@debian.org>  Mon, 27 Jun 2005 21:05:46 -0400

libevent (1.0b-1.1) unstable; urgency=low

  * NMU with maintainer's approval.
  * New upstream release with backward compatibility fixes (should
    make farpd work again) (Closes: #291096)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 18 Jan 2005 17:58:40 +0100

libevent (1.0-1.1) unstable; urgency=low

  * NMU with maintainer's approval.
  * New upstream release (Closes: #288404, #284282)
  * Removed automake build-dependancy

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 23 Dec 2004 12:13:08 +0100

libevent (0.8-2) unstable; urgency=low

  * Tighten up the shlibs dependencies on libevent1.  (Closes: Bug#250193)

 -- Simon Law <sfllaw@debian.org>  Sun, 11 Jul 2004 13:34:20 -0400

libevent (0.8-1) unstable; urgency=low

  * New upstream release.  (Closes: Bug#244683)
  * Makefile.am: Set the SONAME to 1.1.0.
  * Removed the CVS directories from the upstream source.

 -- Simon Law <sfllaw@debian.org>  Sun, 16 May 2004 15:36:39 -0400

libevent (0.7c-1) unstable; urgency=medium

  * New upstream release.  (Closes: Bug#226814)
    - Fixes epoll(4) and poll(2) support.

 -- Simon Law <sfllaw@debian.org>  Tue, 13 Jan 2004 17:39:02 -0500

libevent (0.7b-1) unstable; urgency=low

  * New upstream release.  (Closes: Bug#197044)
  * Compliant with Standards Version 3.6.1.
  * Removed kqueue.2 since we don't ship with <sys/event.h>.
  * Makefile.am: Set SONAME to 1.0.0.

 -- Simon Law <sfllaw@debian.org>  Tue,  7 Oct 2003 22:18:12 -0400

libevent (0.6-5) unstable; urgency=low

  * Restore the symlink /usr/lib/libevent.so (Closes: Bug#181156)
  * Compliant with Standards Version 3.5.8.

 -- Simon Law <sfllaw@debian.org>  Sat, 15 Feb 2003 22:40:10 -0500

libevent (0.6-4) unstable; urgency=low

  * Use AM_MAINTAINER_MODE in configure.in. (Closes: Bug#163560)

 -- Simon Law <sfllaw@debian.org>  Sun, 06 Oct 2002 22:58:32 -0400

libevent (0.6-3) unstable; urgency=low

  * Fixed the configure.in build problem on sparc and m68k (Closes: Bug#163477)

 -- Simon Law <sfllaw@debian.org>  Fri, 04 Oct 2002 23:18:53 -0400

libevent (0.6-2) unstable; urgency=low

  * Wrote a better description for libevent-dev.  (Closes: Bug#162994)

 -- Simon Law <sfllaw@debian.org>  Fri, 04 Oct 2002 23:18:53 -0400

libevent (0.6-1) unstable; urgency=low

  * Initial Release.  (Closes: Bug#155447, Bug#155448)
  * Makefile.am configure.in: Now uses libtool to build shared libraries
  * Makefile.am: Set SONAME to 0.0.0

 -- Simon Law <sfllaw@debian.org>  Sat, 28 Sep 2002 12:49:18 -0400
